.footer {
  padding: 20px 15px; 
  background: #efefef;
  text-align: center;
  position: relative;
  z-index: 2;
  box-sizing: border-box;
}

.content-align ~ .footer {
  width: 100%;
  position: absolute;
  left: 0;
  z-index: 2;
  box-sizing: border-box;
  transform: translate(0, -100%); 
}

@media(max-width: 767px) {
  .content-align ~ .map + .footer {
    position: static;
    transform: translate(0,0);
  }
}

.footer .nav li,
.footer .nav a {
  display: inline-block;
} 

.footer .nav {
  margin-bottom: 60px;
}

.footer .nav a {
  padding: 7px 15px;
  color: #606060;
  text-decoration: none;
}

.footer .nav a:hover {
  text-decoration: underline;
}

.footer p {
  margin: 0;
  font-size: 12px;
  line-height: 14px;
}

@media (max-width: 640px) {
  .footer .nav a {
    padding: 7px;
    font-size: 13px;
  }
}